# uptimerobot – Pause and start Uptime Robot monitoring

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- This module will let you start and pause Uptime Robot Monitoring

## Requirements

The below requirements are needed on the host that executes this module.

- Valid Uptime Robot API Key

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
apikey - / required |  | Uptime Robot API key.
monitorid - / required |  | ID of the monitor to check.

state
- / required

Choices:
- started
- paused

Define whether or not the monitor should be running or paused.

## Notes

Note

- Support for adding and removing monitors and alert contacts has not yet been implemented.

## Examples

    # Pause the monitor with an ID of 12345.
    - uptimerobot:
        monitorid: 12345
        apikey: 12345-1234512345
        state: paused

    # Start the monitor with an ID of 12345.
    - uptimerobot:
        monitorid: 12345
        apikey: 12345-1234512345
        state: started

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Nate Kingsley (@nate-kingsley)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.